# This spec is in the SVN
# $Id: perl-RPM4.spec 141783 2007-03-12 14:05:45Z nanardon $

%define module	RPM4
%define name	perl-%{module}
%define version	0.23
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.gz
# upstream patch
Url:		http://search.cpan.org/dist/RPM4/
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires: perl-devel >= 5.8.0
BuildRequires: rpm-devel
BuildRequires: perl-Digest-SHA1
BuildRequires: librpmconstant-devel
BuildRequires: packdrake
BuildRequires: perl-MDV-Packdrakeng
BuildRequires: gnupg
Requires:	perl

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It include:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
TMPDIR=/tmp %make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Sun Jul 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdv2008.0
+ Revision: 54435
- 0.23

* Fri Jul 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.22-2mdv2008.0
+ Revision: 53777
- patch0: fix spec->source reporting nothing

* Fri Jul 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.22-1mdv2008.0
+ Revision: 53715
- 0.22

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.21-6mdv2008.0
+ Revision: 36191
- rebuild with correct optflags

  + Olivier Thauvin <nanardon@mandriva.org>
    - really rebuild against rpm 4.4.8
    - rebuild for new rpm


* Mon Mar 12 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-3mdv2007.1
+ Revision: 141783
- really apply patch0

* Wed Mar 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-2mdv2007.1
+ Revision: 134818
- patch0: fix missing semi colon

* Thu Mar 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdv2007.1
+ Revision: 130775
- kill old changelog entries
- 0.21

* Thu Feb 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.20-3mdv2007.1
+ Revision: 124362
- bump release

* Thu Feb 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.20-2mdv2007.1
+ Revision: 124361
- disable a test due to failure on ppc
- upstream patch: fix rpm 4.4.5 handling
- improve buildrequires
-fix url
- 0.20
- import of perl-RPM4

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-2mdv2007.0
- Fix URL (Thanks Thierry Vignaud)

* Mon Jun 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdv2007.0
- 0.20

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.11-3mdk
- rebuild for rpm

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.11-2mdk
- rebuild for rpm-4.4.4

* Mon Dec 19 2005 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdk
- 0.11

* Sat Dec 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.10-1mdk
- 0.10

* Sun Oct 09 2005 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdk
- Initial spec based on perl-Hdlist

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdk
- rebuild for rpm4.4 (amd64)

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdk
- rebuild for rpm4.4
- more functions

* Tue Mar 22 2005 Olivier Thauvin <nanardon@mandrake.org> 0.07-1mdk
- fix segfault in newdep()
- allow to pass undef

* Tue Mar 15 2005 Olivier Thauvin <nanardon@zarb.org> 0.06-1mdk
- update doc
- minor fix

* Tue Mar 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.05-1mdk
- update doc
- fix build*()

* Mon Mar 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.04-1mdk
- add hrpmreb
- allow to pass cookies from installsrpms to newspec
- allow to pass force / anyarch to newspec
- remove forgot debug fprintf

* Sat Mar 05 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.03-1mdk
- fix spec build
- add expandnumeric()
- add resetrc
- fix rpmlog()

* Fri Mar 04 2005 Olivier Thauvin <nanardon@mandrake.org> 0.02-1mdk
- BuildRequires (Christiaan Welvaart <cjw@daneel.dyndns.org>)
- split doc

* Tue Feb 22 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-1mdk
- use rpmconstant
- lot of fix

* Tue Jan 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20050111.1mdk
- 20040111

* Wed Dec 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20041222.1mdk
- cvs 20041222

* Tue Nov 16 2004 Michael Scherer <misc@mandrake.org> 0.01-0.20040809.3mdk
- Rebuild for new perl

* Tue Aug 10 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.2mdk
- add missing file (/me sucks)

* Tue Aug 10 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.1mdk
- cvs 20040809

* Tue Aug 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040802.1mdk
- first package

* Fri Jul 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.1mdk
- initialize spec

